ekg-core-0.1.1.0: Tracking of system metrics

Safe Haskell | Safe
Language | Haskell2010

System.Metrics.Distribution.Internal

Description

Internal module used to share implementation details between the family of ekg packages. DO NOT DEPEND ON THIS MODULE.

Synopsis

- data Stats = Stats {
  - mean :: !Double
  - variance :: !Double
  - count :: !Int64
  - sum :: !Double
  - min :: !Double
  - max :: !Double
  }

# Documentation

data Stats Source

Distribution statistics

Constructors

Stats |

Fields

mean :: !Double

  Sample mean

variance :: !Double

  Biased sample variance

count :: !Int64

  Event count

sum :: !Double

  Sum of values

min :: !Double

  Min value seen

max :: !Double

  Max value seen

Instances

Eq Stats Source |
Show Stats Source |